[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# EndsStr

Check whether one string ends with another

## Declaration

Source position: strutils.pp line 55

`function EndsStr(`
`const ASubText: string;`
`const AText: string`
`):Boolean;`

## Description

StarsText checks whether aText ends with aSubText and returns True if it does. i.e. it returns true if the last characters of aText are aSubText. It follows that the length of aText must be at least the length of aSubText. The comparison is made case-sensitive. If you wish to compare case-insensitively, use EndsText instead.

## See also

AnsiEndsStr |  | Check whether a string ends with a certain substring
EndsText |  | Check whether one text ends with another
StartsText |  | Check whether one text starts with another